import 'package:feelverapp/model/shoplistdetail/shoplistdetail_Model.dart';
import 'package:feelverapp/service/api.dart';
import 'package:feelverapp/service/base_presenter.dart';
import 'package:feelverapp/ui/shop/shop_list_detail.dart';
import 'package:flutter/material.dart';


class ShoplistdetailPresenter extends BasePresenter<ShopListDetail>{
  Api _api;
  final formkey = GlobalKey<FormState>();

  ShoplistdetailPresenter(State<ShopListDetail> state) : super(state);


  Detai() async{
    _api = Api<shoplistdetailModel>();
    var res = await _api.shoplistDetail({
      "id": "406",
    });
    if (res.fail == null) {
      print('res Success');
    } else {
      print('res Fail');
    }
  }
}